View Issue Details

IDProjectCategoryView StatusLast Update
0032614Open CASCADEOCCT:Codingpublic2021-10-16 11:46
Reporteraml Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032614: Coding - get rid of unsused forward declarations [Adaptor2d to GccAna]
Descriptioninclude-what-you-use is a great tool for code health improvement. It allows for detecting unused headers and forward declarations.

Packages from Adaptor2d to GccAna (inclusively) are processed in this ticket.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032615 closedbugmaster Coding - get rid of unused forward declarations 

Activities

git

2021-10-12 10:42

administrator   ~0104601

Branch CR32614 has been created by aml.

SHA-1: 096e59358342d9e631eba2a2155419a7a15a5360


Detailed log of new commits:

Author: aml
Date: Tue Oct 12 07:44:06 2021 +0300

    CR32614 Coding - get rid of unsused forward declarations [Adaptor2d GccAna]
    
    Packages from Adaptor2d to GccAna are processed.

git

2021-10-12 10:59

administrator   ~0104602

Branch CR32614 has been updated forcibly by aml.

SHA-1: b01cf307b3c28cf7c04d67388408d0fd95b33a18

aml

2021-10-12 13:59

developer   ~0104605

Dear Kirill,

Could you please take a look at the patch?

Jenkins is OK completely this time:
http://jenkins-test-occt/view/CR32614-master-aml/view/COMPARE/

smoskvin

2021-10-16 10:03

administrator   ~0104661

Combination -
OCCT branch : IR-2021-10-15
master SHA - 475da0f1352e60eebf1432cf136042444c7c5488
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-15 SHA - bd88028c52a28c63c191e235d0af754d59b66c81
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17699.720000000394 / 17936.010000000137 [-1.32%]
Products
Total CPU difference: 11665.880000000112 / 11621.340000000107 [+0.38%]
Windows-64-VC14:
OCCT
Total CPU difference: 19656.34375 / 19690.109375 [-0.17%]
Products
Total CPU difference: 12872.390625 / 12807.375 [+0.51%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

bugmaster

2021-10-16 11:15

administrator   ~0104671

Fix has been integrated into master of occt-products repository

git

2021-10-16 11:46

administrator   ~0104683

Branch CR32614 has been deleted by mnt.

SHA-1: b01cf307b3c28cf7c04d67388408d0fd95b33a18

Issue History

Date Modified Username Field Change
2021-10-12 10:20 aml New Issue
2021-10-12 10:20 aml Assigned To => aml
2021-10-12 10:41 aml Relationship added child of 0032615
2021-10-12 10:41 aml Summary Coding - get rid of unsused forward declarations => Coding - get rid of unsused forward declarations [Adaptor2d GccAna]
2021-10-12 10:42 git Note Added: 0104601
2021-10-12 10:59 git Note Added: 0104602
2021-10-12 10:59 aml Summary Coding - get rid of unsused forward declarations [Adaptor2d GccAna] => Coding - get rid of unsused forward declarations [Adaptor2d to GccAna]
2021-10-12 13:59 aml Note Added: 0104605
2021-10-12 13:59 aml Assigned To aml => kgv
2021-10-12 13:59 aml Status new => resolved
2021-10-12 14:29 kgv Assigned To kgv => bugmaster
2021-10-12 14:29 kgv Status resolved => reviewed
2021-10-12 14:29 kgv Test case number => N/A
2021-10-16 10:03 smoskvin Note Added: 0104661
2021-10-16 10:03 smoskvin Status reviewed => tested
2021-10-16 11:15 bugmaster Note Added: 0104671
2021-10-16 11:15 bugmaster Status tested => verified
2021-10-16 11:15 bugmaster Resolution open => fixed
2021-10-16 11:46 git Note Added: 0104683